<?php
/*
Plugin Name: Facebook Pixel Insert
Plugin URI: http://brettrutecky.com/
Description: Add a Facebook retargeting pixel to your WP site 
Version: 1.0
Author: Brett Rutecky
Author URI: http://www.brettrutecky.com
License: GPL
*/

register_activation_hook(__FILE__,'fbpixel_insert_install'); 
function fbpixel_insert_install() {
                                      add_option("fbpixel_insert_pixelcode", '', '', 'yes');
                                     }

add_action('get_footer', 'fbpixel_insert', 1);

function fbpixel_insert(){
                             $PGPath=plugins_url()."/fb_pixel_insert/";
                             $COD=get_option('fbpixel_insert_pixelcode');
                                                               
                             echo "
                                   <!-----------FB PIXEL CODE, PLUGIN PROVIDED BY BRETT RUTECKY, HTTP://WWW.BRETTRUTECKY.COM------------->
                                  ".stripslashes($COD)." 
                                   <!---------------------------------------------------------------------------------------------------->
                                  ";
                                
                              }    
                            
                            
if ( is_admin() ){

/* Call the html code */
add_action('admin_menu', 'fbpixelinsert_admin_menu');

function fbpixelinsert_admin_menu() {
add_menu_page('FB Pixel Insert', 'FB Pixel Insert', 'administrator',
'bp-pixel-insert', 'fbpixelinsert_admin');
}
}

function fbpixelinsert_admin(){
                  $PGPath=plugins_url()."/fb_pixel_insert/";
                  wp_enqueue_script('jquery'); 
                  $COD=get_option('fbpixel_insert_pixelcode');
                  
?>                                     
<div style="width:800px; padding:5px; margin-top:10px; background-color:#FFFFFF;">
<img src="<?php echo $PGPath; ?>/images/logo.jpg">
<br>&nbsp;<br>
<table width="800px;">
<tr><td width="300" valign="top"><center><h3>Enter Facebook Pixel Code</h3></center></td><td>
                                      <textarea id="fbPXc" style="width:500px; height:300px;"><?php echo stripslashes($COD); ?></textarea>
                                      </tr>
<tr><td colspan="2" height="75"><center><button onclick="fbpi_SaveSettings();" style="font-size:16px; padding:5px;">Update code and save</button></center></td></tr>
</table> 
<br>&nbsp;<br>
* Simply enter your Facebook pixel code into the box above and click save and it will be inserted in every page on your site<br>
* Click <a href="https://www.facebook.com/ads/manage/audiences.php" target="_blank">HERE</a> if you need to get your Facebook pixel code
</div>
                             

<script type="text/javascript">
 function fbpi_SaveSettings(){

                     var fbPXc=jQuery('#fbPXc').val();
                     jQuery.post('<?php echo $PGPath; ?>savechanges.php',{fbPXc:fbPXc}, function(data) {
                                                                                                                  alert('Changes Saved');
                                                                                                                 });
                           }                                                                                      
</script>
<?php
}
?>